Skip to content
OpenPostDocs
OpenPostDocs
Publications

Queue an explicit provider reply

POST/renditions/{id}/reply

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Rendition ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/renditions/string/reply" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/ActionOutputBody.json",  "activation_publication_id": "string",  "job_id": "string",  "message": "string",  "publication_id": "string",  "renditions": [    {      "delivery": {        "current_attempt_created_at": "string",        "current_attempt_id": "string",        "current_attempt_number": 0,        "error_code": "string",        "error_http_status": 0,        "error_kind": "string",        "external_id": "string",        "external_url": "string",        "last_reconciled_at": "string",        "next_reconciliation_at": "string",        "recovery_action": "none",        "state": "string",        "target_key": "string",        "terminal_reason": "string"      },      "id": "string",      "platform": "string",      "social_account_id": "string",      "status": "string",      "target_key": "string"    }  ],  "revision": 0,  "workspace_activated": true}